Bug 175868 - security/nessus-libnasl: nasl_crypto.c:25:10: fatal error: 'openssl/md2.h' file not found
security/nessus-libnasl: nasl_crypto.c:25:10: fatal error: 'openssl/md2.h' fi...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tijl Coosemans
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 23:20 UTC by andy
Modified: 2013-10-25 13:10 UTC (History)
0 users

See Also:


Attachments
patch-zzz-nomd2 (1.48 KB, text/plain; charset=big5)
2013-05-21 11:23 UTC, ktsin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description andy 2013-02-05 23:20:00 UTC
# cd /usr/ports/security/nessus/ && make install clean
===>   nessus-gtk2-2.2.9_1 depends on file: /usr/local/sbin/pkg - found
===>  Extracting for nessus-gtk2-2.2.9_1
=> SHA256 Checksum OK for nessus/nessus-core-2.2.9.tar.gz.
===>  Patching for nessus-gtk2-2.2.9_1
===>  Applying FreeBSD patches for nessus-gtk2-2.2.9_1
===>   nessus-gtk2-2.2.9_1 depends on file: /usr/local/bin/intltool-extract - found
===>   nessus-gtk2-2.2.9_1 depends on executable: pkgconf - found
===>   nessus-gtk2-2.2.9_1 depends on shared library: nasl.4 - not found
===>    Verifying install for nasl.4 in /usr/ports/security/nessus-libnasl
===>   nessus-libnasl-2.2.9_1 depends on file: /usr/local/sbin/pkg - found
===>  Extracting for nessus-libnasl-2.2.9_1
=> SHA256 Checksum OK for nessus/libnasl-2.2.9.tar.gz.
===>  Patching for nessus-libnasl-2.2.9_1
===>  Applying FreeBSD patches for nessus-libnasl-2.2.9_1
===>   nessus-libnasl-2.2.9_1 depends on executable: bison - found
===>   nessus-libnasl-2.2.9_1 depends on package: libtool>=2.4 - found
===>   nessus-libnasl-2.2.9_1 depends on shared library: nessus.4 - found
===>  Configuring for nessus-libnasl-2.2.9_1
===>   FreeBSD 10 autotools fix applied to /usr/ports/security/nessus-libnasl/work/libnasl/aclocal.m4
===>   FreeBSD 10 autotools fix applied to /usr/ports/security/nessus-libnasl/work/libnasl/configure
creating cache ./config.cache
checking for gcc... cc
checking whether the C compiler (cc -O2 -pipe -fno-strict-aliasing ) works... yes
checking whether the C compiler (cc -O2 -pipe -fno-strict-aliasing ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether cc accepts -g... yes
checking for Cygwin environment... no
checking for mingw32 environment... no
checking how to run the C preprocessor... cpp
checking host system type... amd64-portbld-freebsd10.0
checking build system type... amd64-portbld-freebsd10.0
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/local/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependant libraries... pass_all
checking for object suffix... o
checking for executable suffix... no
checking command to parse /usr/local/bin/nm -B output... ok
checking for dlfcn.h... yes
checking for ranlib... ranlib
checking for strip... strip
checking for objdir... .libs
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.lo... yes
checking if cc supports -fno-rtti -fno-exceptions... yes
checking whether the linker (/usr/bin/ld) supports shared libraries... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... freebsd10.0 ld.so
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether -lc should be explicitly linked in... no
creating libtool
checking whether make sets ${MAKE}... yes
checking for a BSD compatible install... /usr/bin/install -c -o root -g wheel
checking if the compiler understands -pipe... yes
checking for nessus-config... /usr/local/bin/nessus-config
checking for openssl/md2.h... no
checking for openssl/md4.h... yes
checking for openssl/md5.h... yes
checking for bison... /usr/local/bin/bison
checking for ANSI C header files... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking whether time.h and sys/time.h may both be included... yes
checking for dirent.h that defines DIR... yes
checking for opendir in -ldir... no
checking for -lrpcsvc... yes
checking for /usr/ucbinclude/fcntl.h... no
checking for unistd.h... yes
checking for getopt.h... yes
checking for string.h... yes
checking for strings.h... yes
checking for sys/sockio.h... yes
checking for sys/socketio.h... no
checking for netinet/in.h... yes
checking for netinet/in_systm.h... yes
checking for netinet/ip.h... yes
checking for netinet/ip_icmp.h... yes
checking for netinet/ip.h... (cached) yes
checking for netinet/udp.h... yes
checking for netinet/protocols.h... no
checking for netinet/ip_udp.h... no
checking for netinet/ip_tcp.h... no
checking for netinet/tcpip.h... yes
checking for sys/param.h... yes
checking for sys/ioctl.h... yes
checking for rpc/rpc.h... yes
checking for dlfcn.h... (cached) yes
checking for sys/un.h... yes
checking for memory.h... yes
checking for ctype.h... yes
checking for errno.h... yes
checking for sys/types.h... yes
checking for stdlib.h... yes
checking for stdio.h... yes
checking for pthread.h... yes
checking for sys/filio.h... yes
checking for pwd.h... yes
checking for assert.h... yes
checking for netdb.h... yes
checking for netinet/in.h... (cached) yes
checking for arpa/inet.h... yes
checking for poll.h... yes
checking for sys/poll.h... yes
checking for netinet/ip_tcp.h... (cached) no
checking for sys/stat.h... yes
checking for stat.h... no
checking for net/if.h... yes
checking for sys/mman.h... yes
checking for search.h... yes
checking for locale.h... yes
checking for sys/socket.h... yes
checking for netinet/ip.h... (cached) yes
checking for netinet/tcp.h... yes
checking for working alloca.h... no
checking for alloca... yes
checking for lstat... yes
checking for memmove... yes
checking for gettimeofday... yes
checking for gethrtime... no
checking for getrusage... yes
checking for rand... yes
checking for strchr... yes
checking for memcpy... yes
checking for select... yes
checking for poll... yes
checking for vsnprintf... yes
checking for memmem... yes
checking for bzero... yes
checking for bcopy... yes
checking for addr2ascii... no
checking for inet_neta... yes
checking for signal... yes
checking for sigaction... yes
checking for wait... yes
checking for wait3... yes
checking for wait4... yes
checking for waitpid... yes
checking for lfind... yes
checking for lfind in -lcompat... yes
checking whether byte ordering is bigendian... no
checking for time_t... yes
checking for pid_t... yes
checking for size_t... yes
checking for uid_t in sys/types.h... yes
checking size of short... 2
checking size of int... 4
checking size of long... 8
checking struct ip contains ip_csum... no
checking struct ip... yes
checking struct ip has ip_hl... yes
checking struct icmp... yes
checking struct udphdr... yes
checking BSD struct udphdr... yes
checking struct tcphdr... yes
checking struct tcphdr has th_off... yes
checking struct tcphdr has th_x2_off... no
checking for long file names... yes
checking for inet_aton in -lc... yes
checking for inet_aton in -lresolv... no
checking for inet_aton in -lsocket... no
checking for inet_aton in -lnsl... no
checking if sockaddr{} has sa_len member... yes
checking for a working strndup implementation... no
checking for pcap_restart in -lpcap-nessus... yes
updating cache ./config.cache
creating ./config.status
creating nasl.tmpl
creating nasl-config
creating include/config.h
creating nasl/strutils.h
===>  Building for nessus-libnasl-2.2.9_1
cd nasl && make
/bin/sh /usr/local/bin/libtool --silent --mode compile cc -pipe -O2 -pipe -fno-strict-aliasing  `sh ./cflags` -c nasl_packet_forgery.c
nasl_packet_forgery.c:859:29: warning: incompatible pointer types passing 'struct ip *' to parameter of type 'u_short *'
      (aka 'unsigned short *') [-Wincompatible-pointer-types]
   ip->ip_sum = np_in_cksum(ip, ip->ip_hl * 4);
                            ^~
nasl_packet_forgery.c:1265:23: warning: implicit declaration of function 'bpf_next_tv' is invalid in C99
      [-Wimplicit-function-declaration]
 if(bpf >= 0 && (pk = bpf_next_tv(bpf, &len, &tv)))flag++;      
                      ^
nasl_packet_forgery.c:1265:21: warning: incompatible integer to pointer conversion assigning to 'u_char *' (aka 'unsigned char *')
      from 'int' [-Wint-conversion]
 if(bpf >= 0 && (pk = bpf_next_tv(bpf, &len, &tv)))flag++;      
                    ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~
3 warnings generated.
/bin/sh /usr/local/bin/libtool --silent --mode compile cc -pipe -O2 -pipe -fno-strict-aliasing  `sh ./cflags` -c nasl_socket.c
/bin/sh /usr/local/bin/libtool --silent --mode compile cc -pipe -O2 -pipe -fno-strict-aliasing  `sh ./cflags` -c nasl_crypto.c
nasl_crypto.c:25:10: fatal error: 'openssl/md2.h' file not found
#include <openssl/md2.h>
         ^
1 error generated.
*** [nasl_crypto.o] Error code 1

Stop in /usr/ports/security/nessus-libnasl/work/libnasl/nasl.
*** [all] Error code 1

Stop in /usr/ports/security/nessus-libnasl/work/libnasl.
*** [do-build] Error code 1

Stop in /usr/ports/security/nessus-libnasl.
*** [lib-depends] Error code 1

Stop in /usr/ports/security/nessus.

How-To-Repeat: cd /usr/ports/security/nessus/ && make install clean
Comment 1 Edwin Groothuis freebsd_committer 2013-02-07 11:24:05 UTC
Maintainer of security/nessus-libnasl,

Please note that PR ports/175868 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175868

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-02-07 11:24:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 ktsin 2013-05-21 11:23:12 UTC
patch to fix compilation when md2 does not exist.

kit
Comment 4 andy 2013-05-22 04:55:23 UTC
On Tue, 21 May 2013, kit wrote:

> patch to fix compilation when md2 does not exist.
>
> kit
>

Hi:

Thank you, I confirm that your patch works.  I am able to build and run 
Nessus:
===>   Compressing manual pages for nessus-gtk2-2.2.9_1
===>   Registering installation for nessus-gtk2-2.2.9_1
Installing nessus-gtk2-2.2.9_1... done

Thank you for your reply and fix.

AN
Comment 5 Udo.Schweigert 2013-10-23 07:12:19 UTC
Sorry for the long delay (I had no recent current installation for testing,
now with 10.0-BETA I had a chance to do that).

Please apply the following patch. I will also submit a patch for the related
nessus port, which fixes build on FreeBSD-8.x.

Note: file to be added to the repo: files/patch-nomd2

Udo

diff -ru /usr/ports/security/nessus-libnasl/Makefile nessus-libnasl/Makefile
--- /usr/ports/security/nessus-libnasl/Makefile	2013-09-21 06:10:33.000000000 +0200
+++ nessus-libnasl/Makefile	2013-10-23 07:36:15.471347000 +0200
@@ -15,8 +15,6 @@
 MAINTAINER=	udo.schweigert@siemens.com
 COMMENT=	Nessus Attack Scripting Language
 
-BROKEN=		Does not build
-
 LIB_DEPENDS=	nessus.4:${PORTSDIR}/security/nessus-libraries
 
 DIST_SUBDIR=	nessus
diff -ru /usr/ports/security/nessus-libnasl/files/patch-nomd2 nessus-libnasl/files/patch-nomd2
--- /usr/ports/security/nessus-libnasl/files/patch-nomd2	1970-01-01 01:00:00.000000000 +0100
+++ nessus-libnasl/files/patch-nomd2	2013-10-23 07:35:58.193290000 +0200
@@ -0,0 +1,62 @@
+--- nasl/nasl_crypto.c.orig	2005-07-07 08:14:26.000000000 +0800
++++ nasl/nasl_crypto.c	2013-05-21 18:09:58.000000000 +0800
+@@ -22,7 +22,9 @@
+   */
+ #include <includes.h>
+ #ifdef HAVE_SSL
++#ifdef HAVE_OPENSSL_MD2_H
+ #include <openssl/md2.h>
++#endif
+ #include <openssl/md4.h>
+ #include <openssl/md5.h>
+ #include <openssl/ripemd.h>
+@@ -45,6 +47,7 @@
+ 
+ 
+ /*-------------------[  Std. HASH ]-------------------------------------*/
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_md2(lex_ctxt * lexic)
+ {
+  char * data = get_str_var_by_num(lexic, 0);
+@@ -63,6 +66,7 @@
+  retc->size = MD2_DIGEST_LENGTH;
+  return retc;
+ }
++#endif
+ 
+ tree_cell * nasl_md4(lex_ctxt * lexic)
+ {
+@@ -192,11 +196,12 @@
+  return retc;
+ }
+ 
+-
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_hmac_md2(lex_ctxt * lexic)
+ {
+  return nasl_hmac(lexic, EVP_md2());
+ }
++#endif
+ 
+ 
+ tree_cell * nasl_hmac_md5(lex_ctxt * lexic)
+--- nasl/nasl_crypto.h.orig	2005-02-11 00:03:52.000000000 +0800
++++ nasl/nasl_crypto.h	2013-05-21 18:11:23.000000000 +0800
+@@ -2,13 +2,17 @@
+ #define NASL_CRYPTO_H
+ 
+ #ifdef HAVE_SSL
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_md2(lex_ctxt *);
++#endif
+ tree_cell * nasl_md4(lex_ctxt *);
+ tree_cell * nasl_md5(lex_ctxt *);
+ tree_cell * nasl_sha(lex_ctxt *);
+ tree_cell * nasl_sha1(lex_ctxt *);
+ tree_cell * nasl_ripemd160(lex_ctxt *);
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_hmac_md2(lex_ctxt * );
++#endif
+ tree_cell * nasl_hmac_md5(lex_ctxt * );
+ tree_cell * nasl_hmac_sha(lex_ctxt *);
+ tree_cell * nasl_hmac_sha1(lex_ctxt * );
Comment 6 Tijl Coosemans freebsd_committer 2013-10-24 14:54:45 UTC
State Changed
From-To: feedback->open
Comment 7 Tijl Coosemans freebsd_committer 2013-10-24 14:54:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Take.
Comment 8 dfilter freebsd_committer 2013-10-25 13:00:42 UTC
Author: tijl
Date: Fri Oct 25 12:00:27 2013
New Revision: 331569
URL: http://svnweb.freebsd.org/changeset/ports/331569

Log:
  security/nessus-libnasl:
  - Remove BROKEN and fix building with newer OpenSSL versions.
  - Add LICENSE.
  - Use new LIB_DEPENDS syntax.
  - Support staging.  This exposed a bug in security/nessus-libraries.
  - Fix an issue in a Makefile to support parallel building.
  
  security/nessus-libraries:
  - Add LICENSE.
  - Support staging.
  - Remove pointyhat references.
  - Remove DESTDIR from the nessus-config script.
  
  PR:		ports/175868
  Approved by:	"Schweigert, Udo" <Udo.Schweigert@siemens.com> (maintainer)

Added:
  head/security/nessus-libnasl/files/patch-nomd2   (contents, props changed)
  head/security/nessus-libraries/files/patch-destdir   (contents, props changed)
Modified:
  head/security/nessus-libnasl/Makefile   (contents, props changed)
  head/security/nessus-libnasl/files/patch-libtool   (contents, props changed)
  head/security/nessus-libnasl/pkg-plist   (contents, props changed)
  head/security/nessus-libraries/Makefile   (contents, props changed)
  head/security/nessus-libraries/pkg-plist   (contents, props changed)
Directory Properties:
  head/security/nessus-libnasl/distinfo   (props changed)
  head/security/nessus-libnasl/files/patch-Makefile   (props changed)
  head/security/nessus-libnasl/pkg-descr   (props changed)

Modified: head/security/nessus-libnasl/Makefile
==============================================================================
--- head/security/nessus-libnasl/Makefile	Fri Oct 25 11:21:12 2013	(r331568)
+++ head/security/nessus-libnasl/Makefile	Fri Oct 25 12:00:27 2013	(r331569)
@@ -15,9 +15,9 @@ DISTNAME=	libnasl-${PORTVERSION}
 MAINTAINER=	udo.schweigert@siemens.com
 COMMENT=	Nessus Attack Scripting Language
 
-BROKEN=		Does not build
+LICENSE=	GPLv2
 
-LIB_DEPENDS=	nessus.4:${PORTSDIR}/security/nessus-libraries
+LIB_DEPENDS=	libnessus.so:${PORTSDIR}/security/nessus-libraries
 
 DIST_SUBDIR=	nessus
 WRKSRC=		${WRKDIR}/libnasl
@@ -29,5 +29,4 @@ USE_LDCONFIG=	YES
 
 MAN1=		nasl.1 nasl-config.1
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/security/nessus-libnasl/files/patch-libtool
==============================================================================
--- head/security/nessus-libnasl/files/patch-libtool	Fri Oct 25 11:21:12 2013	(r331568)
+++ head/security/nessus-libnasl/files/patch-libtool	Fri Oct 25 12:00:27 2013	(r331569)
@@ -1,6 +1,6 @@
 --- nasl/Makefile.orig	2005-02-10 17:03:51.000000000 +0100
 +++ nasl/Makefile	2012-01-29 10:29:13.000000000 +0100
-@@ -88,7 +88,8 @@
+@@ -88,10 +88,11 @@
  	nasl_server.c \
  	nasl_debug.c
  
@@ -9,7 +9,11 @@
 +LINK = $(LIBTOOL) --mode link $(CC) $(CFLAGS) $(NESSUS_INCLUDE)
  all : cflags libnasl.la nasl
  
- .c.o:
+-.c.o:
++.c.o: cflags
+ 	$(COMPILE) -c $<
+ cflags : 
+ 	@echo "echo \"$(NESSUS_CFLAGS) $(include) $(DEFS) \"" > cflags
 @@ -101,7 +102,7 @@
  	$(CC) $(CFLAGS)  $(NESSUS_INCLUDE) $(include) -o nasl -DVERSION=\"$(VERSION)\" nasl.c $(OBJS) $(NESSUS_LIBS) 
  

Added: head/security/nessus-libnasl/files/patch-nomd2
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/nessus-libnasl/files/patch-nomd2	Fri Oct 25 12:00:27 2013	(r331569)
@@ -0,0 +1,62 @@
+--- nasl/nasl_crypto.c.orig	2005-07-07 08:14:26.000000000 +0800
++++ nasl/nasl_crypto.c	2013-05-21 18:09:58.000000000 +0800
+@@ -22,7 +22,9 @@
+   */
+ #include <includes.h>
+ #ifdef HAVE_SSL
++#ifdef HAVE_OPENSSL_MD2_H
+ #include <openssl/md2.h>
++#endif
+ #include <openssl/md4.h>
+ #include <openssl/md5.h>
+ #include <openssl/ripemd.h>
+@@ -45,6 +47,7 @@
+ 
+ 
+ /*-------------------[  Std. HASH ]-------------------------------------*/
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_md2(lex_ctxt * lexic)
+ {
+  char * data = get_str_var_by_num(lexic, 0);
+@@ -63,6 +66,7 @@
+  retc->size = MD2_DIGEST_LENGTH;
+  return retc;
+ }
++#endif
+ 
+ tree_cell * nasl_md4(lex_ctxt * lexic)
+ {
+@@ -192,11 +196,12 @@
+  return retc;
+ }
+ 
+-
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_hmac_md2(lex_ctxt * lexic)
+ {
+  return nasl_hmac(lexic, EVP_md2());
+ }
++#endif
+ 
+ 
+ tree_cell * nasl_hmac_md5(lex_ctxt * lexic)
+--- nasl/nasl_crypto.h.orig	2005-02-11 00:03:52.000000000 +0800
++++ nasl/nasl_crypto.h	2013-05-21 18:11:23.000000000 +0800
+@@ -2,13 +2,17 @@
+ #define NASL_CRYPTO_H
+ 
+ #ifdef HAVE_SSL
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_md2(lex_ctxt *);
++#endif
+ tree_cell * nasl_md4(lex_ctxt *);
+ tree_cell * nasl_md5(lex_ctxt *);
+ tree_cell * nasl_sha(lex_ctxt *);
+ tree_cell * nasl_sha1(lex_ctxt *);
+ tree_cell * nasl_ripemd160(lex_ctxt *);
++#ifdef HAVE_OPENSSL_MD2_H
+ tree_cell * nasl_hmac_md2(lex_ctxt * );
++#endif
+ tree_cell * nasl_hmac_md5(lex_ctxt * );
+ tree_cell * nasl_hmac_sha(lex_ctxt *);
+ tree_cell * nasl_hmac_sha1(lex_ctxt * );

Modified: head/security/nessus-libnasl/pkg-plist
==============================================================================
--- head/security/nessus-libnasl/pkg-plist	Fri Oct 25 11:21:12 2013	(r331568)
+++ head/security/nessus-libnasl/pkg-plist	Fri Oct 25 12:00:27 2013	(r331569)
@@ -5,6 +5,8 @@ lib/libnasl.a
 lib/libnasl.la
 lib/libnasl.so
 lib/libnasl.so.4
+man/man1/nasl.1.gz
+man/man1/nasl-config.1.gz
 var/nessus/nessus_org.pem
 @dirrmtry var/nessus
 @dirrmtry var

Modified: head/security/nessus-libraries/Makefile
==============================================================================
--- head/security/nessus-libraries/Makefile	Fri Oct 25 11:21:12 2013	(r331568)
+++ head/security/nessus-libraries/Makefile	Fri Oct 25 12:00:27 2013	(r331569)
@@ -6,24 +6,24 @@
 
 PORTNAME=	nessus-libraries
 PORTVERSION=	2.2.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	security
 MASTER_SITES=	ftp://ftp.nessus.org/pub/nessus/nessus-${PORTVERSION}/src/ \
 		ftp://ftp.gwdg.de/pub/linux/misc/nessus/nessus-${PORTVERSION}/src/ \
 		http://ftp.gwdg.de/pub/linux/misc/nessus/nessus-${PORTVERSION}/src/ \
 		ftp://sunsite.cnlab-switch.ch/mirror/nessus/nessus-${PORTVERSION}/src/ \
 		ftp://ftp.ayamura.org/pub/nessus/nessus-${PORTVERSION}/src/
-DISTNAME=	nessus-libraries-${PORTVERSION}
 
 MAINTAINER=	udo.schweigert@siemens.com
 COMMENT=	Libraries for Nessus, the security scanner
 
+LICENSE=	LGPL20
+
 DIST_SUBDIR=	nessus
 WRKSRC=		${WRKDIR}/nessus-libraries
 
 USES=		bison
 USE_AUTOTOOLS=	libtool
-NO_STAGE=	yes
 CONFIGURE_ARGS=	--enable-cipher
 .if defined(WITH_NESSUS_BPF_SHARE)
 CONFIGURE_ARGS+=	--enable-bpf-sharing
@@ -31,11 +31,8 @@ CONFIGURE_ARGS+=	--enable-bpf-sharing
 
 USE_LDCONFIG=	YES
 
-MAN1=		nessus-config.1
-
-.if ! defined(NESSUS_CLIENT_ONLY) && ! defined(PACKAGE_BUILDING)
-MANUAL_PACKAGE_BUILD=	needs /dev/bpf which is not available in pointyhat jail
-pre-configure:
+.if ! defined(NESSUS_CLIENT_ONLY)
+pre-everything::
 	@if [ ! -c /dev/bpf ]; then \
 	    ${ECHO} "********************************************************";\
 	    ${ECHO} "*                   W a r n i n g                      *";\

Added: head/security/nessus-libraries/files/patch-destdir
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/nessus-libraries/files/patch-destdir	Fri Oct 25 12:00:27 2013	(r331569)
@@ -0,0 +1,15 @@
+--- nessus-config.pre.in.orig	2013-10-24 18:49:26.000000000 +0200
++++ nessus-config.pre.in	2013-10-24 18:49:47.000000000 +0200
+@@ -48,10 +48,10 @@
+ 		;;
+ 	--libs)
+ 	
+-		echo $Xn "-L$DESTDIR$LIBDIR -lnessus -lhosts_gatherer @pcap_flag@ $CIPHER $EXTRA $Xc"
++		echo $Xn "-L$LIBDIR -lnessus -lhosts_gatherer @pcap_flag@ $CIPHER $EXTRA $Xc"
+ 		;;
+ 	--cflags)
+-		echo $Xn "$DEFS -I$DESTDIR$INCLUDEDIR/nessus $CIPHER_CFLAGS $SSL_CFLAGS $Xc"
++		echo $Xn "$DEFS -I$INCLUDEDIR/nessus $CIPHER_CFLAGS $SSL_CFLAGS $Xc"
+ 		;;
+ 	--egd)
+ 		echo $Xn "$EGDPATH" $Xc

Modified: head/security/nessus-libraries/pkg-plist
==============================================================================
--- head/security/nessus-libraries/pkg-plist	Fri Oct 25 11:21:12 2013	(r331568)
+++ head/security/nessus-libraries/pkg-plist	Fri Oct 25 12:00:27 2013	(r331569)
@@ -18,6 +18,7 @@ lib/libpcap-nessus.a
 lib/libpcap-nessus.la
 lib/libpcap-nessus.so
 lib/libpcap-nessus.so.4
+man/man1/nessus-config.1.gz
 sbin/uninstall-nessus
 @dirrm include/nessus/net
 @dirrm include/nessus
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Tijl Coosemans freebsd_committer 2013-10-25 13:03:15 UTC
State Changed
From-To: open->closed

Committed in r331569.  I also added LICENSE and removed references to 
pointyhat which no longer exist.